Welcome!

1-abc.net Right Click Configurator
Decide what the Windows Explorer popup menu does!

When you use Windows Explorer for opening, deleting, moving or copying files (e.g. by executing it through the “My Computer” icon on your desktop) a popup menu is opened by clicking the right mouse button on any entry that allows you to get access to many different programs and features.

If your last Windows installation was a long time ago and you installed and un-installed several products on it since then, you probably recognized that sometimes you have much more right click entries and features as you really wish and need. In the worst case, this right click menu does not work anymore, because there are still software tools and utilities that keep these entries alive even if the program was removed from your system long ago.

Configuring these entries can now be done easily with 1-abc.net Right Click Configurator! From a very easy-to-use interface you can see all these connections to Windows features and external programs. De-activating such an entry is just one click, and activating it again is only one click as well. You can also modify or remove it completely, which should be done with highest caution of course.

But that is not all: Add your personal right click entries by entering a name for it and selecting the path to an executable file you want to start from it, add any customized command line that Windows would also understand in the “Start”-“Run” dialog or take one of the default features that are already available on your system but can normally not be started from the right click menu.

With 1-abc.net Right Click Configurator the Windows Explorer popup menu will not be a mystical secret for you anymore!

Feature Overview:

  • Very easy-to-use interface
  • Configure the right click behaviour for files, drives, music files, image files, video files or even files of any type
  • Add customized entries of any kind to the right click menu
  • Activate already existing features on your Windows system like copying or moving a file or folder to another place
  • Add hidden Windows default features like the Character Map, Windows Cleaning Manager or the Registry Editor to your popup menu
  • Configure the 'Send To' sub menu in your right click menu
  • Add parameters to your right click entries
  • Print out your current right click menu settings on your local printer or via network
  • Right click configuration report - to see what changes you made with this program
  • Check right click entries for errors
  • Backup feature to undo your right click menu changes later
  • Create shortcuts for any type of file in any folder of your system
  • Add any right click entry as a shortcut on desktop, in program menu or add it to favorites
  • Add or remove exceptions to avoid any changes on critical right click entries
  • Right Click Control to log context menu changes even from other programs
  • Program can be installed on USB sticks, camara cards or nearly all other re-writable media
  • Very low system resources required

For Windows® XP / Vista / 7 / 8
Chief Developer & Documentation: Stefan Siegert
Copyright 2005-2014 1-abc.net


Before you start working with this program …

This product helps you to configure Windows settings that are normally not easy to configure.

Please note: Since the Windows Registry (where all entries are located) was created to be used only by advanced users, you also get access to options that can cause problems on your system with this program if you do not configure them correctly. The program tries to avoid all problems, but since you change real system settings, we can not guarantee that everything will work perfectly on your specific computer. So please: check very well, if everything works for your satisfaction after you made any changes. It is hardly suggested to export your Windows Registry with the Registry Editor (that can be started by entering "regedit" in the "Start"-"Run" dialog) first to be able to reverse your changes if necessary.

Any right click entry changed by you is saved to a backup file first, so if you recognize any problems you can reverse your changes by executing such a *.reg file by selecting 'Undo Changes' from the File Menu.

The 1-abc.net team wishes you much fun with this product!


Using the Main Screen

To work with 1-abc.net Right Click Configurator is very easy. Here you can see how the main screen looks.

After starting the program you will see a list of all right click entries that are installed on your system.

The first column shows you the name of the entry. Please note that unfortunately there are not only speaking names that would allow you to understand what the entries do. The reason for this is that the developer of the connected programs was responsible for these names.

In the second column you can see the type of the entry, which means that this entry is available when you right click on ... whatever this item tells you. A bit different it only behaves if the item is set to 'Send To'. In that case, this entry is available in the 'Send To' menu independent from the selected file or folder type.

The last column shows the value which can be a path to a real *.exe file, a Windows command or a path to a DLL file that is connected with this entry. If this is the case, it will start with "DLL:" These entries are a bit different from the others because you will not be able to modify or to delete them but you can easily activate or de-activate them.

By right clicking an entry you will see a selection of most used features that are also available from the Options menu and from the buttons below,

De-activating an entry: After selecting an entry with a value that starts with "DLL:", you can click the button "De-activate entry". Now the displayed value of the entry ends with "(de-activated)" whtich means that it is now not used in the right-click menu anymore. To activate it again, just click the button "Activate entry".

Removing or editing entries: Other entries can be removed or modified by selecting them first and clicking one of the buttons "Remove entry" or "Edit entry". Please note that you should only use these features if you really know what you do and read the warning-chapter of this help file very patiently.

Entries that collide with your exceptions list can not be activated, de-activated, edited or removed. You can always minimize or maximize this program screen using the buttons at the right top.

Adding an entry: By clicking the button "Add entry" this dialog opens:

On the upper left you can decide the type of this entry, and its name, which will be displayed directly in the right click menu. Below this you can enter a command line by yourself, select a program path with the "Browse File" button or add one of the already existing features by using the "Select Defaults" combo box. If the program you selected is able to receive parameters in the format of '%x' with x as a figure from 1 to 9, you can use the buttons "Add Parameter" or "Remove Parameter" to add this to your command line. Please make sure that the program you selected can work with such parameters.

The lower part of this screens allows you to add 2 more right click features that are already available in Windows but they are de-activated normally for some strange reason. With these features you can move or copy files or folders to another place on your computer just by clicking right and selecting one of these new entries in the right click menu.

If your command line is a normal path to a file, you can check if the file exists by clicking "Check Command Line".

Sometimes while editing an existing entry you may find out that it would make sense to save it to a new entry instead of modifying the old one. For such cases you can click on 'Save to new entry'.


Menu

File

Print Right Click Entries
You can send all displayed entries to your printer, which can be done locally or via a network. You will get a printed list with all names and paths after configuring your printer settings.

Undo changes
Whenever you modified a right click entry with this program, the old one was written to a *.reg file. So, if you should find out that something does not work as expected, just select the file with the date and name of the changed entry.

Minimize to Systray
Minimizes the program to run in the background. This can make sense when Right Click Control feature is activated. A small icon appears in the systray (next to the clock), you can start or end the program from there easily.

Language Selection
If you like to see the program in another language, check this feature to switch it. If your language is missing and you like to translate it, please send us an e-mail to translations@1-abc.net to get more information about it.

Exit
Select this option to leave the program.

Functions

Add Entry
This is the same feature as you would click the 'Add Entry' button on the main screen.

Add Program of Selected Entry as Shortcut
Opens the 'Shortcut' dialog described below with a link to the file of the currently selected right click entry.

Add Shortcut
Here you can add your own shortcuts to any folder you like. Please enter a name for the shortcut, select a path where it should be created and a file that should be executed then and click on 'OK'. You can also add your own comment for this shortcut here which will be displayed in the 'Preferences' screen or as a tool tip in Windows Explorer.

Execute Program of Selected Entry
If the entry links to a normal program or file, you can use this feature to open it directly.

Check Right Click Entries for Errors
This nice feature allows you to check all entries. If the entry links to a normal program or file, 1-abc.net Right Click Configurator checks if it exists, and if it does not, you will get a warning message.

Exceptions
Here you can add or remove wild card expressions to avoid any unwanted changes. If this expression matches the registry key or its value, you cannot activate, de-activate, edit or remove this entry. Just enter a new expression and click 'Add Exception' or select an entry from the list and click 'Remove Exception' to modify the list.

Show Right Click Report
Every change you do to your right click menu with this program is saved to a history file. Here you will see when you added, deleted or modified an entry.

Empty Right Click Report
If you do not want to keep the data available in your report file you can empty it here.

Configure Startup Control
Right Click Control is a fantastic feature that allows you to check modifications of your context menu behaviour even caused by external programs. Configure here if you want to use this feature, if it should be executed only when you start this program, together with Windows or permanently and if you want to see a warning message or if such changes should only be logged inside the history file.

Register

Get free Trial Key
From the first time you installed this program it runs 10 days for free. You can extend this trial period to 30 days easily when you register for a free trial key. Make sure that you are online. The key will be sent to you by e-mail.

Buy Full Version now
Click here to purchase the product online. You will be connected to an online shop where you have multiple payment options, after your payment is done, the full version key will be sent to you immediately.

Enter Key
When you have a trial key or a full version key you can enter it here to change the behaviour of the program. You should re-start the program after entering the key.

Help

Show Help File
Brings you to this help file. Whether you clicked there to read it now or you pressed “F1” which would be the other way to get it displayed.

Go to 1-abc.net Website
Visit the webpage of 1-abc.net. You will find more information about this product and other software there. Make sure that you are online.

About
Copyright information about this product.


About 1-abc.net …

1-abc.net software is a young and dynamic company, founded 2005, consisting of ambitious and highly experienced developers, marketing experts, distributors, designers, translaters and product managers. The head office is located in Germany, employees and freelancers are working from offices in seven countries all over the world.

1-abc.net's business activities include software development, software distribution and IT consulting. Meanwhile more than Windows tools and utilities are available. And this is what users get:

  • Small setup files that can be downloaded even using slow internet connections
  • Easy installation processes, uninstaller is always included
  • No adware, spyware, popups or whatever extends software nowadays
  • Very easy to handle program interfaces
  • Software that really fulfils the customers’ needs – nothing more, but also nothing less
  • Fast possibility to extend the trial period by obtaining a free registration key
  • Users can also buy 1-abc.net software on CD instead of downloading
Additionally, more and more distribution companies worldwide sell 1-abc.net software as boxes or through other channels licensed under their own label. 1-abc.net Android™ apps for mobile devices, Windows Store Apps and mobile apps for Firefox OS are available from the website http://mobile.1-abc.net.

Support

1-abc.net
Grünenstr. 120
28199 Bremen

Germany

Unfortunately we currently offer NO telephone support, please take a look at this website to find out more or to contact us via e-mail:

http://1-abc.net/support.htm